Prerequisites for building a Kodi for Windows installer:

1) A working Visual C++ 2013 Express Kodi environment (See also http://kodi.wiki/view/HOW-TO:Compile_for_Windows)
2) Nullsoft sciptable install system (http://nsis.sourceforge.net/Download)
3) DirectX SDK dated August 2009 or later (latest installer here: http://www.microsoft.com/downloads/en/details.aspx?displaylang=en&FamilyID=3021d52b-514e-41d3-ad02-438a3ba730ba)
4) Java Runtime Environment (download here: http://www.oracle.com/technetwork/java/javase/downloads/index.html)
5) Java Runtime Environment added to PATH (see here: http://www.java.com/en/download/help/path.xml)


Usage:
1) Run BuildSetup.bat in project\Win32BuildSetup
2) Watch the screen, maybe you're asked for input
3) Wait... Wait... Wait...
You should now have KodiSetup-<lastcommitdate-gitrev>.exe file.
